# Color chapter
if {[info command tk-orig] == {}} {
    rename tk tk-orig
}
proc tk { option args } {
    switch -- $option {
	colormodel {
	    if {[winfo depth [lindex $args 0]] > 4} {
		return color
	    } else {
		return monochrome
	    }
	}
	default {
	    return [eval {tk-orig $option} $args]
	}
    }
}

